net.i2p.client.streaming

## Class ConnectionPacketHandler

- java.lang.Object
- - net.i2p.client.streaming.ConnectionPacketHandler

-      class ConnectionPacketHandler
      extends Object

  Receive a packet for a particular connection - placing the data onto the queue, marking packets as acked, updating various fields, etc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionPacketHandler(I2PAppContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `receivePacket(Packet packet, Connection con)` distribute a packet to the connection specified

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionPacketHandler

          public ConnectionPacketHandler(I2PAppContext context)

  - ### Method Detail

    - #### receivePacket

          void receivePacket(Packet packet,
                           Connection con)
                       throws I2PException

      distribute a packet to the connection specified
      Throws:
        `I2PException`